Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 653646 (qt-5.11)

Summary: Qt 5.11 porting
Product: Gentoo Linux Reporter: Andreas Sturmlechner <asturm>
Component: Current packagesAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: normal CC: ab4bd, andig.mail, bob.mt.wya, carlphilippreh, cJ-gentoo, endymion+gentoo, eugene.shalygin, josef.95, kroemmelbein, maggu2810, Manfred.Knick, nheghathivhistha, perfect007gentleman
Priority: Normal Keywords: Tracker
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 645392, 653648, 653650, 653652, 653654, 654024, 654742, 654872, 655142, 655844, 656672, 656684, 657106, 657454, 658080, 659330, 659466, 660346, 660350, 660456, 660458, 660536, 660540, 660798, 660912, 660930, 660932, 661078, 661222, 661338, 661418, 661524, 661548, 661596, 661736, 661742, 661784, 661862, 661896, 662094, 662344, 662476, 662480, 662764, 662968, 663028, 663308, 663310, 663352, 664528, 664532, 664628, 664974, 665176, 665286, 665342, 665712, 666998, 667000, 668392, 668760, 669518, 670076, 670250    
Bug Blocks: 657062, 664566    

Description Andreas Sturmlechner gentoo-dev 2018-04-21 02:55:02 UTC
This is the tracker for Qt 5.11. Do NOT report bugs here.

- Create a NEW bug assigned to the maintainer of the package in question (ie. NOT qt@gentoo.org)
- Don't use this bug for issues in Qt 5.11 itself. File a new bug and assign
it to the toolchain team.
- Please keep this tracker free of comments. Discussion should take place
on the relevant bugs.


Expect the following issues:
- Build failures due to missing Qt header (previously provided implicitly)
- CMake Error at CMakeLists.txt:95 (qt5_use_modules): Unknown CMake command "qt5_use_modules". This is easily fixed by using target_link_libraries(<target> Qt5::<modulename>) instead.

Many example patches can be found with `find /usr/portage -name "*qt-5.11*.patch"`.

Please file bugs with fixes upstream.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-04-21 02:56:42 UTC
* Bugs with Qt should of course be filed against qt team...
Comment 2 Davide Pesavento gentoo-dev 2018-06-14 15:43:46 UTC
(In reply to Andreas Sturmlechner from comment #0)
> - CMake Error at CMakeLists.txt:95 (qt5_use_modules): Unknown CMake command
> "qt5_use_modules". This is easily fixed by using
> target_link_libraries(<target> Qt5::<modulename>) instead.

Upstream realized their mistake and will restore qt5_use_modules in 5.11.1 https://codereview.qt-project.org/232367
Comment 3 Larry the Git Cow gentoo-dev 2018-06-14 22:14:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/qt.git/commit/?id=866a5388ddf06ec36a8ea8e36677fc4ef105c1fb

commit 866a5388ddf06ec36a8ea8e36677fc4ef105c1fb
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-06-14 19:45:13 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-06-14 19:45:13 +0000

    dev-qt/qtcore: Restore qt5_use_modules macro
    
    See also: https://codereview.qt-project.org/#/c/232367/
    
    Bug: https://bugs.gentoo.org/653646
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 .../qtcore-5.11.0-restore-qt5_use_modules.patch    | 224 +++++++++++++++++++++
 dev-qt/qtcore/qtcore-5.11.0.ebuild                 |   2 +
 2 files changed, 226 insertions(+)
Comment 4 Larry the Git Cow gentoo-dev 2018-06-16 07:38:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0846d1dae72990117b3928fe609e545bdaeb29f

commit f0846d1dae72990117b3928fe609e545bdaeb29f
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-06-16 07:37:55 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-06-16 07:37:55 +0000

    dev-qt/qtcore: Restore qt5_use_modules macro
    
    See also: https://codereview.qt-project.org/#/c/232367/
    
    Bug: https://bugs.gentoo.org/653646
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 .../qtcore-5.11.0-restore-qt5_use_modules.patch    | 224 +++++++++++++++++++++
 ...11.0_rc2.ebuild => qtcore-5.11.0_rc2-r1.ebuild} |   2 +
 2 files changed, 226 insertions(+)